Bug 884618 - Jenkins server can not push build successfully after server upgrade and migration from devenv-stage_264 to devenv_2562
Summary: Jenkins server can not push build successfully after server upgrade and migra...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Bill DeCoste
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 12:26 UTC by Meng Bo
Modified: 2015-05-14 23:03 UTC (History)
0 users

Fixed In Version: jenkins-plugin-openshift 0.6.10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-19 19:25:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
jenkins_log (284.67 KB, text/plain)
2012-12-06 12:28 UTC, Meng Bo
no flags Details

Description Meng Bo 2012-12-06 12:26:01 UTC
Description of problem:
Prepare some apps on devenv-stage_264 which contain jenkins server and app with jenkins-client embedded, do upgrade and migration.
Make some changes in app git repo and try to push it via jenkins. Jenkins push build cannot success.

Version-Release number of selected component (if applicable):
devenv-stage_264 to devenv_2562
openshift-origin-cartridge-jenkins-client-1.4-1.2.2-1.git.0.2287dc6.el6.noarch
openshift-origin-cartridge-jenkins-1.4-1.2.4-1.git.0.ad78d83.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.Create app with jenkins-client embedded on devenv-stage_264
2.Upgrade to devenv_2562 and run migration script
3.Do some changes in app git repo and push it via jenkins.
  
Actual results:
It will hang at

remote: Waiting for build to schedule....

Expected results:
Jenkins works normally.

Additional info:
I have found some errors in jenkins server log, like:

[Fatal Error] :1:1: Premature end of file.
ERROR:  'Premature end of file.'

Attached jenkins server log for debug.

Jenkins build works correctly on devenv_2562.

Comment 1 Meng Bo 2012-12-06 12:27:39 UTC
Also have some Fatal error like:

[Fatal Error] :106:11: Content is not allowed in trailing section.
ERROR:  'Content is not allowed in trailing section.'

Comment 2 Meng Bo 2012-12-06 12:28:14 UTC
Created attachment 658704 [details]
jenkins_log

Comment 3 Meng Bo 2012-12-07 06:30:20 UTC
Verified on devenv_2567,

Jenkins build works well after upgrade from devenv-stage_264.

Package version:
jenkins-plugin-openshift-0.6.10-0.el6_3.x86_64


Note You need to log in before you can comment on or make changes to this bug.